function andSearch() {

	// クエリー配列の取得
	querys = parseQuery();

	// クエリー文字列の数に応じて、検索処理を繰り返す
	for (j = 0; j < querys.length; j++) {
		// 検索対象配列の全要素に対して一致を確認する
		for (i = 0; i < length; i++) {
			// 結果一覧にURLがある場合
			if (arrayResultURL[i] != "null") {
				var pos = index.items.item[i].text.indexOf(querys[j]);
				// 一致がない場合
				if (pos < 0) {
					// 結果一覧からURLを削除
					arrayResultURL[i] = "null";
				} else {
					// 結果一覧にURLを追加
					arrayResultURL[i] = index.items.item[i].url;
					// インデックス位置を記録
					if (pos < arrayResultPos[i]) {
						arrayResultPos[i] = pos;
					}
				}
			}
		}
	}
}

function orSearch() {

	// クエリー配列の取得
	querys = parseQuery();

	// クエリー文字列の数に応じて、検索処理を繰り返す
	for (j = 0; j < querys.length; j++) {
		// 検索対象配列の全要素に対して一致を確認する
		for (i = 0; i < length; i++) {
			// 結果一覧にURLがない場合
			if (arrayResultURL[i] == null) {
				var pos = index.items.item[i].text.indexOf(querys[j]);
				// 一致がある場合
				if (pos >= 0) {
					// 結果一覧にURLを追加
					arrayResultURL[i] = index.items.item[i].url;
					// インデックス位置を記録
					if (pos < arrayResultPos[i]) {
						arrayResultPos[i] = pos;
					}
				}
			}
		}
	}
}

function matchSearch() {

	// 検索対象配列の全要素に対して一致を確認する
	for (i = 0; i < length; i++) {
		var pos = index.items.item[i].text.indexOf(query);
		// 一致がない場合
		if (pos < 0) {
			// 結果一覧からURLを削除
			arrayResultURL[i] = null;
		} else {
			// 結果一覧にURLを追加
			arrayResultURL[i] = index.items.item[i].url;
			// インデックス位置を記録
			if (pos < arrayResultPos[i]) {
				arrayResultPos[i] = pos;
			}
		}
	}
}

function notSearch(text) {
	
	// フィルタ配列の取得
	queryFilters = parseQuery(queryEx);

	// クエリー文字列の数に応じて、除外検査を繰り返す
	for (j = 0; j < queryFilters.length; j++) {
		var posEx = text.indexOf(queryFilters[j]);
		// 一致がある場合
		if (posEx >= 0) {
			return true;
		}
	}
	return false;
}
